Fooman

Speedster Advanced by Fooman

  • Popularity Score 3696 Popularity Score

    Popularity ScoreReferrals to Site/Downloads

    0 0 1+ 1+ 250+ 250+ 1000+ 1000+ 10000+ 10000+

  • Select Technology Partner
Speed up your store with an advanced caching strategy which combines, compresses and caches JS and CSS files.
Compatible with:
This extension is currently unavailable on Magento Connect. Please contact the developer.

You will be re-directed to the developer's website to complete your purchase.

You must be registered and logged in to get extension key.
In order to get this extension, you must be logged in to the Magento Community. Click here to login or register.
You must choose from Magento Connect Version 1.5.1.0 or 2.0.
Learn more

Magento Connect 1.0 change

FREE
Previous Next
Overview

Speedster Advanced by Fooman

• Speeds up your store by combining, compressing and caching Javascript and CSS files
• Combines multiple Javascript files into two separate files (one static and one variable), and combines multiple CSS files into a single CSS file, for faster page load times
• Fully automated once installed, with automatic versioning when Javascript/CSS files are updated
• Improved speed performance relative to the classic Fooman Speedster extension
• Theme optimiser to help implement a smarter caching strategy (for Magento version 1.5 and above) – see instructions
• No php overhead when compared to the classic Fooman Speedster extension (files are created, but not served, via PHP)
• Supports the use of different domains for Skin CSS, allowing the use of CDNs (Content Delivery Networks) and cookie free domains
• Multi store capable
• Uses the Minify library by Steve Clay (released under a BSD license)

Is Fooman Speedster Advanced right for my Store?

Fooman Speedster Advanced is a free extension which has been tested with the default Magento themes. However, there is always a risk that minifying and combining Javascript files can produce Javascript errors. We do not recommend using Fooman Speedster Advanced without thorough testing on a test site if:

• Your store already contains minified files
• Significant Javascript customisation work has been done on your store and the added non-default Javascript files do not follow best practice Javascript (you can test with http://jslint.com/)
• Your store uses Jquery (or has extensions installed which use Jquery) - although a workaround is provided in the instructions, almost 100% of reported errors are from stores which also use Jquery

Installation and Documentation

Refer to the following documents for instructions on installing Fooman Speedster Advanced:

The Ultimate Guide to Installing Magento Extensions
Fooman Speedster Advanced User Manual

Important: Please uninstall the original Fooman Speedster before installing Fooman Speedster Advanced.

Support

For troubleshooting, please:

• Follow the installation and troubleshooting instructions in the documentation above
• Ensure that your store does not already contains minified files
• Ensure that your store does not contain significant Javascript customisation work, and that any added non-default Javascript files follow best practice (you can test with jslint)
• Ensure that you are not running any conflicting extensions, as this can conflict with CSS

This usually solves 95% of issues we receive.


Feel free to report any suspected bugs with the extension, however please note that we are unable to provide individual support or troubleshooting advice via our support email address - see our general FAQ for more details. If an error still persists after following the troubleshooting advice above, please either contact your Magento developer or disable the extension.


M1 Extension Versions

0.8.14 Release

2016-10-06 18:25:14
  • Version number: 0.8.14
  • Stability: Beta
  • Compatibility: 1.4, 1.4.1.1, 1.4.2, 1.5, 1.6, 1.6.1, 1.6.2.0, 1.7, 1.8, 1.8.1, 1.9
You must be registered and logged in to get extension key.

Magento Connect 2.0

Magento Connect 2.0

0.8.10 Increase compatibility in case other rewrites exist, allow exclusions in the admin
0.8.12 Supee-6788 changes - only full admin account can run theme optimiser
0.8.13 Allow database file storage
0.8.14 Display extension number if Fooman Common is installed

0.8.14 Release

2016-10-06 18:22:33
  • Version number: 0.8.14
  • Stability: Beta
  • Compatibility: 1.4, 1.4.1.1, 1.4.2, 1.5, 1.6
You must be registered and logged in to get extension key.

Magento Connect 2.0

Magento Connect 2.0

0.8.10 Increase compatibility in case other rewrites exist, allow exclusions in the admin
0.8.12 Supee-6788 changes - only full admin account can run theme optimiser
0.8.13 Allow database file storage
0.8.14 Display extension number if Fooman Common is installed

0.8.14 Release

2016-10-06 18:21:50
  • Version number: 0.8.14
  • Stability: Beta
  • Compatibility: 1.4, 1.4.1.1, 1.4.2, 1.5, 1.6
You must be registered and logged in to get extension key.

Magento Connect 2.0

Magento Connect 2.0

0.8.10 Increase compatibility in case other rewrites exist, allow exclusions in the admin
0.8.12 Supee-6788 changes - only full admin account can run theme optimiser
0.8.13 Allow database file storage
0.8.14 Display extension number if Fooman Common is installed

0.8.9

2014-09-08 05:52:43
  • Version number: 0.8.9
  • Stability: Beta
  • Compatibility: 1.4.2, 1.5, 1.6, 1.6.1, 1.6.2.0, 1.7, 1.8, 1.8.1, 1.9
You must be registered and logged in to get extension key.
You must choose from Magento Connect Version 1.5.1.0 or 2.0.
Learn more

Magento Connect 1.0 change

0.8.9 Release

0.8.7 Release

2014-06-04 09:11:56
  • Version number: 0.8.7
  • Stability: Stable
  • Compatibility: 1.4, 1.4.1.1, 1.4.2, 1.5, 1.6, 1.6.1, 1.6.2.0, 1.7, 1.8, 1.8.1, 1.9
You must be registered and logged in to get extension key.
You must choose from Magento Connect Version 1.5.1.0 or 2.0.
Learn more

Magento Connect 1.0 change

Magento 1.9.0 compatiblity
1 2
Q&A

Does this extension solve the style limit problem of IE9 and below?

If a css extends 4096 style commands IE9 and below will ignore everything after the 4096. command. Does this extension take this in count? Or is it planned that it will?
Asked by: GFWerb
Hi Fooman, thanks for your answer. However I found a way to get around the problem with speedster advanced. I excluded one of our big css-files from merging, that solved the problem.
Answered by: GFWerb
Date published: 2015-03-25

Can I re-activate Magento cache after applying Theme Optimizer recommendations?

Asked by: sebaltou
Hi there, Yes you can reactivate the cache after applying Theme Optimizer. Make sure to refresh the caches so the latest changes will be applied. Cheers,
Answered by: Fooman
Date published: 2015-10-10

Should I use Fooman Speedster or Fooman Speedster Advanced?

Asked by: Fooman
Fooman Speedster works on all servers. Fooman Speedster Advanced supports a smarter caching strategy and improved speed performance, but requires specific server functionality to realise these gains. Take the Speedster quiz to determine which version of Fooman Speedster is best suited to your needs: 1. Do you use Magento Version 1.4 or above? 2. Does your server send Far Future Expire Headers? 3. Does your server send gzip content? 4. Did you understand the last two questions? If you answered 'NO' to any of the four questions, you should install the original Fooman Speedster extension. If you answered 'YES' to all questions, you should install the Fooman Speedster Advanced extension.
Answered by: Fooman
Date published: 2015-05-16

Magento Beta Error

Hi, I am getting this error : community/Fooman_SpeedsterAdvanced: Extension is 'beta' please check(or change) stability settings on Magento Connect Manager I am using Magento V1.81. Please guide me how to resolve this issue. Regards, Arun
Asked by: arundua
Hi Arun, To resolve this issue, please change the "Preferred State" of the Magento Connect Manager settings to Beta. We highly recommend to revert it to stable preferred state after installing the extension. Alternatively, you can install it manually by following our "General Installation Guide":http://cdn.fooman.co.nz/media/custom/upload/TheUltimateGuidetoInstallingMagentoExtensions.pdf without any problem. Cheers,
Answered by: Fooman
Date published: 2014-07-12

Module "Fooman_SpeedsterAdvanced" requires module "Fooman_Common".

What this?
Asked by: TIGER96
The Common modules holds some code which is used across Fooman extensions like the selftest. The Common module should now be installed automatically - starting with version 0.8.9
Answered by: Fooman
Date published: 2014-11-08

Theme Optmiser can only be run when the cache is disabled.

I followed your instructions in order to install this extension. The js and css files are combined and minified. The problem is that when I go to Tools->Theme Optimiser I see this message: Theme Optmiser can only be run when the cache is disabled. Cache is enabled. I don't get what is happening. Thank you,
Asked by: dcondurachi
Hi there, That is correct - to be able to run Theme Optimiser you need to disable the cache. Theme Optimiser is a one time process - looping over all your installed layout handles to work out the best distribution of when to load javascript files. Cheers,
Answered by: Fooman
Date published: 2014-05-03

Can i run this with Magento 1.9 on nginx?

Asked by: jkoehn
Hi there, Yes. Our Speedster Advanced extension (as opposed to the original Speedster) works the same as Magento's default JS/CSS merging code by placing the resulting files under /media. There are no special server instructions needed and this would work the same on nginx as it does on apache. Cheers,
Answered by: Fooman
Date published: 2014-12-27

Don't see anything in System> Config

Hi! I started by disabling the compiler, the made sure cache is turned on, installed the extension, I can see "theme optimizer" but nothing under config, except, the "common support" which is basically going to cloudflare page? Can you assist pls?
Asked by: slgthk
Hi there, This extension does not have a setting under System > Configuration > Fooman Support. It sounds like the extension has been installed successfully. If there are still issues, please: * Ensure that your store does not already contains minified files * Ensure that your store does not contain significant Javascript customisation work has been done on your store and the added non-default Javascript files do not follow best practice Javascript (you can test with "$":http://jslint.com/) * Follow the installation instructions in "The Ultimate Guide to Installing Magento Extensions":http://cdn.fooman.co.nz/media/custom/upload/TheUltimateGuidetoInstallingMagentoExtensions.pdf * Follow all troubleshooting steps in the "Fooman Speedster Advanced Instructions and Troubleshooting Guide":http://cdn.fooman.co.nz/media/custom/upload/InstructionsandTroubleshooting-FoomanSpeedsterAdvanced.pdf * Ensure that you are not running any conflicting extensions, as this can conflict with CSS This has a high success rate and usually solves 95% of issues we receive. If an error still persists, please contact your regular Magento developer or uninstall Fooman Speedster Advanced. Cheers,
Answered by: Fooman
Date published: 2015-03-28

Are there any known conflicts between Fooman Speedster Advanced and other Magento extensions?

Asked by: Fooman
The following extensions conflict with Fooman Speedster Advanced: • CANONICAL URLs by Yoast • MXPERTS JQUERY BASE In both cases, a work-around can be installed during installation - refer to the Installation Instructions file for further information.
Answered by: Fooman
Date published: 2013-10-22

Can I exclude specific CSS files from merging?

Asked by: sebaltou
Hi there, Yes, you can exclude specific CSS files from merging through the settings "Exclude from Merge" under "System > Configuration > Developer > CSS Settings". Enter the relative URL of any CSS files that you wish to exclude, separated by a comma. It's not possible to exclude entire file directories. Cheers,
Answered by: Fooman
Date published: 2015-10-10
  • y_2017, m_2, d_22, h_22CST
  • bvseo_bulk, prod_bvqa, vn_bulk_0.0
  • cp_1, bvpage1
  • co_hasquestionsanswers, tq_12
  • loc_en_US, sid_14487, prod, sort_[SortEntry(order=LOCALE, direction=DESCENDING), SortEntry(order=FEATURED, direction=DESCENDING), SortEntry(order=NUM_ANSWERS, direction=DESCENDING)]
  • clientName_magento
Get Help

Support for This Extension

The best place to start if you need help with a specific extension is to contact the developer. All Magento developers have both a contact email and a support email listed.

Magento Platform Support

If you need support for a Magento platform, there are different options for support depending on which Magento platform you are using. Below are links for specific platforms.

Reviews

About the Developer

This extension was developed by and is supported by Fooman

Speedster Advanced by Fooman is rated 3.1 out of 5 by 26.
Rated 5 out of 5 by from It does its job Pretty easy to setup (after reading the guide). It really works as described, just be careful with jquery and minified files.
Date published: 2014-06-15
Rated 4 out of 5 by from Great extension, but DO NOT UPGRADE TO 0.8.7 BLINDLY! This is a great little extension, which works brilliantly... BUT, and this is a major but, DO NOT UPGRADE TO 0.8.7 IF YOU ARE ONLY USING THIS EXTENSION since the new version now requires Fooman_Common which IS NOT PACKAGED with this extension. The result of this is that if you upgrade via Magento Connect your store WILL STOP WORKING! The only fix when this happens is to downgrade back down to 0.8.2 - which does not require Fooman_Common - manually (extract the files in /downloader/.cache if you still have them), or to download & install Fooman Common from here: https://github.com/fooman/common/releases Very frustrating that this is not mentioned anywhere, at the very least it should be packaged with this extension if it is a required component.
Date published: 2014-06-13
Rated 1 out of 5 by from App is breaking the website Everytime i installed the application, my website is going down and i need to unninstall the app manually, because i can`t acces the store.
Date published: 2014-06-13
Rated 2 out of 5 by from Doesn't work Once installed when I go to Tools > Theme Optimiser it displays blank page in Magento 1.8.0.0. There is nothing in logs except php log: [27-Oct-2013 10:56:35 UTC] PHP Fatal error: Allowed memory size of 268435456 bytes exhausted (tried to allocate 54 bytes) in F:\xampp\htdocs\hdrmaps.com\lib\Varien\Object.php on line 270 It's strange, even after increasing it to: memory_limit = 2024M It gives the same errror.
Date published: 2013-10-27
Rated 4 out of 5 by from works but... works for normal pages but add to cart button is broken, can any one solve this?
Date published: 2013-08-16
Rated 5 out of 5 by from Good Extension I installed Fooman Speedester following all the instrutions all works very fine, so i tried this one fooman speedster advanced with no issues as well but, why gtmatrix shows better results to normal speedster than the advanced version?? with normal speedster my site shows a grade in page speed of 85% and with this one 81%. BTW works very fine and...for free. Thank you for your hard work.
Date published: 2013-07-11
Rated 5 out of 5 by from Nic extension thanks for nic extension, improve my speed up issue
Date published: 2013-06-13
Rated 5 out of 5 by from Just a heads-up I had some trouble with Javascript (no plugins would load) after enabling JS Optimization in Config > Developer. Turns out it was because of already minified plugins such as jquery.min.js jquery.ui.min.js jquery.jcarousel.min.js , etc For whatever reason unkown to me, already minified JS will break optimization Cheers!
Date published: 2013-06-06
Rated 5 out of 5 by from Great Extension Speeds up Magento, improved customer experience on our site. Definitely a must-have for any Magento store. Great support too!
Date published: 2013-05-24
Rated 5 out of 5 by from Works great on 1.7.0.2 While the older Fooman Speedster extensions cause an strange behavoir of my css styles - this Fooman Speedster Advanced works perfect :)
Date published: 2013-05-01
  • y_2017, m_2, d_22, h_19
  • bvseo_bulk, prod_bvrr, vn_bulk_0.0
  • cp_2, bvpage2n
  • co_hasreviews, tv_0, tr_26
  • loc_en_US, sid_14487, prod, sort_[SortEntry(order=FEATURED, direction=DESCENDING), SortEntry(order=SUBMISSION_TIME, direction=DESCENDING)]
  • clientName_magento

In order to upload extension, you must be logged in to the Magento Community. Click here to login or register.

Close

Register

* Required Fields

Close window

Forgot Your Password?

Please enter your email below and we'll send you a new password.

* Required Fields

Close window

Login

To upload extension you must be logged in.

* Required Fields

Close window

You are using an outdated browser

We built Magento Connect using the latest techniques and technologies.
This makes Magento Connect faster and easier to use.
Unfortunately, your browser doesn't support those technologies.
Use the links below to download a new browser or upgrade your existing browser.